#ifndef Uhly_h
#define Uhly_h
#define M_PI 3.14159265358979323846

#include <cmath>

// mira z ktre prevadime
#define RAD 1
#define DEG 2
#define GRA 3

double Rad ( double A, int mira=GRA )
{ double plny; //uhel
  if( mira==RAD ) plny = 2*M_PI;
  if( mira==DEG ) plny = 360;
  if( mira==GRA ) plny = 400;
  while( plny<=A ) A-=plny;
  while( A<0 )     A+=plny;
  return A*2*M_PI/plny;
}

double Deg ( double A, int mira=RAD )
{ double plny; //uhel
  if( mira==RAD ) plny = 2*M_PI;
  if( mira==DEG ) plny = 360;
  if( mira==GRA ) plny = 400;
  while( plny<=A ) A-=plny;
  while( A<0 )     A+=plny;
  return A*360/plny;
}

double Gra ( double A, int mira=RAD )
{ double plny; //uhel
  if( mira==RAD ) plny = 2*M_PI;
  if( mira==DEG ) plny = 360;
  if( mira==GRA ) plny = 400;
  while( plny<=A ) A-=plny;
  while( A<0 )     A+=plny;
  return A*400/plny;
}

// vrati uhel v intrvalu (-interval,interval)
// pokud uhel v intervalu neexistuje, vrati 1e999 ~ nekonecno
double IntUhlu ( double A, int interval=200, int mira=GRA )
{ double plny; //uhel
  if( mira==RAD ) plny = 2*M_PI;
  if( mira==DEG ) plny = 360;
  if( mira==GRA ) plny = 400;
  while ( A<-interval ) A+=plny;
  while ( A>interval ) A-=plny;
  if ( A<-interval ) return 1e999;
  else return A;
}
#endif
